Name:    usbip-gui
Version: 20241207
Release: 1%{?dist}.inferit
Summary: GUI for the usbip for easier usability/configurability

License: GPLv3+
URL:     https://github.com/K-Francis-H/usbip-gui

Source0: %{name}-%{version}.tar.gz
Source1: %{name}.desktop
Source2: %{name}
Source3: com.kfrancish.pkexec.usbip-gui.policy
Source4: Makefile
Source5: usbip.svg
Patch1: usbip-gui-fixemptylist.patch

BuildArch: noarch

BuildRequires: meson
BuildRequires: ninja-build
BuildRequires: gcc
BuildRequires: python
BuildRequires: python3-tkinter
BuildRequires: python3-devel
BuildRequires: gettext
BuildRequires: polkit-devel

Requires: python3-tkinter
Requires: usbip

%description
A TKinter GUI wrapper for usbip tool.

%prep
%autosetup -p1
cp %{SOURCE4} .
sed -i 's|localedir="/usr/local/share/locale/"|localedir="/usr/share/locale/"|g' \
    usbip-gui/gui.py

%build
if [ ! -d "build" ]; then
    meson setup build --prefix=%{_prefix}
fi


%install
%{make_install}
cp -av usbip-gui/*.py %{buildroot}%{python3_sitelib}/%{name}
install -D -m0755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}
install -D -m0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m0644 %{SOURCE3} %{buildroot}%{_datadir}/polkit-1/actions/com.kfrancish.pkexec.usbip-gui.policy
install -D -m0644 %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/usbip.svg

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/com.kfrancish.pkexec.usbip-gui.policy
%{_datadir}/icons/hicolor/scalable/apps/usbip.svg


%changelog
* Mon Apr 21 2025 Ernest Ershov <ernest.ershov@softline.com> 20241207-1.inferit
- rebuild for MSVSphere
- add Makefile installer

* Sun Jan 26 2025 Elena Mishina <lepata@altlinux.org> 20241207-alt1
- update version

* Tue Oct 08 2024 Elena Mishina <lepata@altlinux.org> 20210429-alt2
- run usbip-gui as root (closes #50508)
- fix empty local list (closes #50494)

* Sat Apr 20 2024 Vitaly Lipatov <lav@altlinux.ru> 20210429-alt1
- initial build for ALT Sisyphus
